Cookien konfigurazioa

Cookie teknikoak

Aktiboak
Ikusi Cookiak

Erabiltzaileari web-orriaren bidez nabigatzeko eta bertan dauden aukerak edo zerbitzuak erabiltzeko aukera ematen diotenak dira, editoreak web-orriaren kudeaketa eta operatiboa ahalbidetzeko eta haren funtzioak eta zerbitzuak gaitzeko erabiltzen dituenak barne.

Cookie analitikoak

Ez aktiboak
Ikusi Cookiak

Webgunearen erabiltzaileen portaeraren jarraipena eta azterketa egiteko aukera ematen diote horien arduradunari. Cookie mota horien bidez bildutako informazioa webgunearen jarduera neurtzeko erabiltzen da, zerbitzuaren erabiltzaileek egiten dituzten erabilera-datuen analisiaren arabera hobekuntzak sartzeko

COOKIE OHARRA

SPRIren jabetzako web orri honek bere cookieak eta hirugarrengoenak erabiltzen ditu nabigatzea ahalbidetzeko, informazio estatistikoa osatzeko, zure nabigazio-ohiturak aztertzeko eta horien araberako publizitatea zuri igortzeko xedez. Cookie guztien erabilera baimentzeko, Onartu aukeran klik egin dezakezu; bestela, zein cookie-mota onartu eta zeini uko egingo diozun hauta dezakezu Cookieak Konfiguratu aukeraren bitartez. Halaber, informazio gehiago jaso dezakezu gure Cookie Politikan.Cookieak KonfiguratuOnartu

Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Path transbertsal erako ahultasuna Bitbucket Data Center-en

Argitalpen data: 2019/05/24

Garrantzia: Kritikoa

Kaltetutako baliabideak: 

Bitbucket Data Center, honako bertsioak:

  • 6.1.0tik 6.1.1era bitartekoak
  • 6.0.0tik 6.0.2ra bitartekoak
  • 5.16.0tik 5.16.2ra bitartekoak
  • 5.15.0tik 5.15.2ra bitartekoak
  • 5.14.0tik 5.14.3ra bitartekoak
  • 5.13.0tik 5.13.5era bitartekoak

Azalpena: 

RIPS Technologies-eko Johannes Moritz-ek Bitbucket Data Center migrazio tresnan larritasun kritikoko ahultasun bat aurkitu du, path transversal erakoa (alegia, direktorioen bideen murrizpen okerra). Horrek kodearen urruneko exekuzioa ahalbidetu lezake Datuen Zentroko lizentzia duten bertsioetan.

Konponbidea:

Atlassian-ek gomendatzen du Bitbucket Data Center-en azken bertsiora eguneratzea. Horren azalpena bertsioaren oharretan ikus daiteke. Bitbucket Data Center-en azken bertsioa deskargen zentrotik jaits daiteke.

  • Bitbucket Data Center 6.1.2 bertsiora edo goragoko batera eguneratzea.
  • 6.1.2 bertsiora eguneratzerik ez badago, ahultasun hori konpontzeko partxeak dituzten ondoko bertsioetara eguneratu, deskargatzeko eskuragarri daudenak: 
    • 6.0.x bertsioak exekutatzen ari bazara 6.0.3 bertsiora eguneratu
    • 5.16.x bertsioak exekutatzen ari bazara 5.16.3 bertsiora eguneratu
    • 5.15.x bertsioak exekutatzen ari bazara 5.15.3 bertsiora eguneratu
    • 5.14.x bertsioak exekutatzen ari bazara 5.14.4 bertsiora eguneratu
    • 5.13.x bertsioak exekutatzen ari bazara 5.13.6 bertsiora eguneratu

Xehetasuna:

  • Administratzaile baimenak dituen erabiltzaile autentifikatua duen urruneko erasotzaile batek direktorioen bideen murrizpen okerreko ahultasun hau (path transversal) balia lezake fitxategiak idazteko kokapen arbitrarioetan. Horren ondorioz kodearen urruneko exekuzioa gerta liteke Bitbucket Data Center-en bertsio ahul bat exekutatzen duten sistemetan. Datuen Zentroko lizentziarik ez duten Bitbucket Server-en bertsioek ez daukate ahultasun hori. Ahultasun horretarako CVE-2019-3397 kodea erreserbatu da.

Etiketak: Eguneraketa, Ahultasuna